CREATE TABLE gtg_aac_appl_user_link (
    ID                       NUMBER(18, 0) ,
    APPLICATION_ID           NUMBER(18, 0)     NOT NULL,
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    USER_ID                  NUMBER(18, 0)     NOT NULL,
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    MISC_DATA1               VARCHAR2(4000),
    MISC_DATA2               VARCHAR2(4000),
    MISC_DATA3               VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ID                       NUMBER(18, 0) ,
    APPLICATION_ID           NUMBER(18, 0)     NOT NULL,
    USER_ID                  NUMBER(18, 0)     NOT NULL,
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    MISC_DATA1               VARCHAR2(4000),
    MISC_DATA2               VARCHAR2(4000),
    MISC_DATA3               VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    ORIG_ID                  VARCHAR2(1600),
    CONSTRAINT pk_gtg_aac_appl_user_link PRIMARY KEY (ID, ID)
);
